# Module api_json_rdht

- Description
- Data Types
- Function Index
- Function Details

JSON API for accessing replicated DHT functions.

Copyright © 2012 Zuse Institute Berlin

Version: $Id$

Authors: Florian Schintke (`schintke@zib.de`).

## Description

JSON API for accessing replicated DHT functions.

## Data Types

### client_key()

    client_key() = [unicode_char()]

### delete_result()

    delete_result() =
        {struct,
         [{failure, string()} |
          {ok, non_neg_integer()} |
          {results, {array, [string()]}}]}

### unicode_char()

    unicode_char() = 0..55295 | 57344..65533 | 65536..1114111

## Function Index

delete/1 |
delete/2 |
handler/2 |

## Function Details

### handler/2

    handler(AnyOp :: atom(), AnyParams :: list()) -> any()

### delete/1

    delete(Key :: client_key()) -> delete_result()

### delete/2

    delete(Key :: client_key(), Timeout :: pos_integer()) ->
              delete_result()

Generated by EDoc, Feb 29 2016, 16:12:13.